Get an application form
get
/fscmRestApi/resources/11.13.18.05/applicationFormDefinitions/{applicationFormDefinitionsUniqID}
Request
Path Parameters
-
applicationFormDefinitionsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Application Form Definitions resource and used to uniquely identify an instance of Application Form Definitions. The client should not generate the hash key value. Instead, the client should query on the Application Form Definitions collection resource in order to navigate to a specific instance of Application Form Definitions to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : applicationFormDefinitions-item-response
Type:
Show Source
object-
AdmitEndDate: string
(date)
Title:
Admit End DateAdmit academic period ending date. -
AdmitStartDate: string
(date)
Title:
Admit Start DateAdmit academic period starting date. -
AdmitTypeCode: string
Title:
Admit TypeMaximum Length:30Type of applicant before entry to the academic institution, for example a transfer applicant. -
AdmitTypeMeaning: string
Title:
Admit TypeRead Only:trueMaximum Length:80Meaning of admit type code. -
applicationAdmitPeriods: array
Application Admit Periods
Title:
Application Admit PeriodsThe application admit period is child to application form definition and provides information about the admit periods form metadata. -
applicationPrograms: array
Application Programs
Title:
Application ProgramsThe application program is child to the application form definition and provides information about the programs form metadata. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64Indicates who created a record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate when the record was created. -
Description: string
Title:
DescriptionMaximum Length:240The description of an application form. -
DisplayName: string
Title:
Display NameMaximum Length:100Form name that's displayed to the user. -
entityAssignments: array
Entity Assignments
Title:
Entity AssignmentsAcademic entities such as institutions, campuses, or organizations assigned to application forms. -
FormCode: string
Title:
Form CodeMaximum Length:50The unique code of a form. -
formFragments: array
Form Fragments
Title:
Form FragmentsThe form fragment is child to the application form definition and provides information about various parts of the form. -
FormId: integer
(int64)
Title:
Form IDRead Only:trueThe generated unique identifier for form. -
FormTypeCode: string
Title:
Form TypeMaximum Length:30Code for form type, for example admissions application or residency appeal. -
FormTypeMeaning: string
Title:
Form TypeRead Only:trueMaximum Length:80Meaning of form type code. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64Indicates who last updated a record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Title:
Form NameMaximum Length:100Form name, such as arts admissions application form. -
StatusCode: string
Title:
StatusMaximum Length:30Form status code, for example unpublished, published, or archived. -
StatusMeaning: string
Title:
StatusRead Only:trueMaximum Length:80Meaning of status code. -
VersionDescription: string
Title:
Version DescriptionMaximum Length:240The description of a published, unpublished, or draft form version. -
VersionName: string
Title:
Version NameMaximum Length:50The name of a published, unpublished, or draft form version. -
VersionNumber: integer
(int32)
Title:
Version NumberRead Only:trueThe version number of a published, unpublished, or draft form version.
Nested Schema : Application Admit Periods
Type:
arrayTitle:
Application Admit PeriodsThe application admit period is child to application form definition and provides information about the admit periods form metadata.
Show Source
Nested Schema : Application Programs
Type:
arrayTitle:
Application ProgramsThe application program is child to the application form definition and provides information about the programs form metadata.
Show Source
Nested Schema : Entity Assignments
Type:
arrayTitle:
Entity AssignmentsAcademic entities such as institutions, campuses, or organizations assigned to application forms.
Show Source
Nested Schema : Form Fragments
Type:
arrayTitle:
Form FragmentsThe form fragment is child to the application form definition and provides information about various parts of the form.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : applicationFormDefinitions-applicationAdmitPeriods-item-response
Type:
Show Source
object-
AdmissionEndDate: string
(date-time)
Title:
Admission End DateRead Only:trueThe date when an admission period ends. -
AdmissionPeriodCode: string
Title:
Period CodeMaximum Length:30The code for the admission period. -
AdmissionPeriodId: integer
(int64)
Title:
Admission Period IDThe unique identifier for the admissions period assigned to the application. -
AdmissionPeriodName: string
Title:
Admission PeriodRead Only:trueMaximum Length:50The name of the admission period. -
AdmissionStartDate: string
(date-time)
Title:
Admission Start DateRead Only:trueThe date when an admission period starts. -
FormAdmitPeriodId: integer
(int64)
Title:
Admit PeriodRead Only:trueForm admit period identifier. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : applicationFormDefinitions-applicationPrograms-item-response
Type:
Show Source
object-
CourseSelectorFlag: boolean
Title:
Course SelectorMaximum Length:1Default Value:falseIndicates if the course selector is used for this program. -
FormApplicationProgId: integer
(int64)
Title:
Form Application Program IDRead Only:trueForm admissions application program identifier. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProgramItemCurriculumCode: string
Title:
Program CodeMaximum Length:150The curriculum code of the program. -
ProgramItemCurriculumId: integer
(int64)
Title:
Program Item Curriculum IDCurriculum item identifier for the program. -
ProgramName: string
Title:
ProgramRead Only:trueMaximum Length:150Name of the curriculum program. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : applicationFormDefinitions-entityAssignments-item-response
Type:
Show Source
object-
AssignedEntityCode: string
Title:
Entity CodeMaximum Length:100The code of the associated entity. -
AssignedEntityId: integer
(int64)
Title:
Entity IDThe unique identifier of the associated entity. -
AssignedEntityName: string
Title:
Entity NameRead Only:trueMaximum Length:100The name of the associated entity. -
AssignedEntityTypeCode: string
Title:
Entity Type CodeMaximum Length:30The entity type code of the associated entity. A list of accepted values is defined in the lookup type ORA_HER_ASSOCIATED_OBJECT_TYPE. -
AssignedEntityTypeMeaning: string
Title:
Entity TypeRead Only:trueMaximum Length:80The entity type of the associated entity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action performed when passed by the user during an update. If set to DELETE, the record is deleted. The only accepted value for request action is DELETE. -
SettingsAssignmentId: integer
(int64)
Title:
Settings Assignment IDRead Only:trueThe unique identifier for the setup association record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : applicationFormDefinitions-formFragments-item-response
Type:
Show Source
object-
FormFragmentId: integer
(int64)
Title:
Form Fragment IDRead Only:trueForm builder form fragment identifier. -
FragmentContent: string
(byte)
Title:
Fragment ContentForm fragment content, for example, the XML content of the section. -
FragmentTypeCode: string
Title:
Fragment Type CodeMaximum Length:30Form fragment type code, for example form and section. -
FragmentTypeMeaning: string
Title:
Fragment TypeRead Only:trueMaximum Length:80Meaning of form type code. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- AdmitTypeCodeLOV
-
Parameters:
- finder:
LookupTypeFinder%3BLookupType%3DORA_HEQ_ADMIT_TYPE
The following properties are defined on the LOV link relation:- Source Attribute: AdmitTypeCode; Target Attribute: LookupCode
- Display Attribute: Meaning
- finder:
- FormStatusCodeLOV
-
Parameters:
- finder:
LookupTypeFinder%3BLookupType%3DORA_HEY_VERSION_STATUS
The following properties are defined on the LOV link relation:- Source Attribute: StatusCode; Target Attribute: LookupCode
- Display Attribute: Meaning
- finder:
- FormTypeCodeLOV
-
Parameters:
- finder:
LookupTypeFinder%3BLookupType%3DORA_HEY_FORM_TYPE
The following properties are defined on the LOV link relation:- Source Attribute: FormTypeCode; Target Attribute: LookupCode
- Display Attribute: Meaning
- finder:
- applicationAdmitPeriods
-
Parameters:
- applicationFormDefinitionsUniqID:
$request.path.applicationFormDefinitionsUniqID
The application admit period is child to application form definition and provides information about the admit periods form metadata. - applicationFormDefinitionsUniqID:
- applicationPrograms
-
Parameters:
- applicationFormDefinitionsUniqID:
$request.path.applicationFormDefinitionsUniqID
The application program is child to the application form definition and provides information about the programs form metadata. - applicationFormDefinitionsUniqID:
- entityAssignments
-
Parameters:
- applicationFormDefinitionsUniqID:
$request.path.applicationFormDefinitionsUniqID
Academic entities such as institutions, campuses, or organizations assigned to application forms. - applicationFormDefinitionsUniqID:
- formFragments
-
Parameters:
- applicationFormDefinitionsUniqID:
$request.path.applicationFormDefinitionsUniqID
The form fragment is child to the application form definition and provides information about various parts of the form. - applicationFormDefinitionsUniqID: